play.db.jpa

## Class PersistenceUnitInfoImpl

- java.lang.Object
- - play.db.jpa.PersistenceUnitInfoImpl

All Implemented Interfaces:
  javax.persistence.spi.PersistenceUnitInfo

    public class PersistenceUnitInfoImpl
    extends java.lang.Object
    implements javax.persistence.spi.PersistenceUnitInfo

### Constructor Summary

Constructors
Constructor and Description
`PersistenceUnitInfoImpl(java.lang.String persistenceUnitName, java.util.List<java.lang.Class> managedClasses, java.util.List<java.lang.String> mappingFileNames, java.util.Properties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTransformer(javax.persistence.spi.ClassTransformer transformer)`
`boolean` `excludeUnlistedClasses()`
`java.lang.ClassLoader` `getClassLoader()`
`java.util.List<java.net.URL>` `getJarFileUrls()`
`javax.sql.DataSource` `getJtaDataSource()`
`java.util.List<java.lang.String>` `getManagedClassNames()`
`java.util.List<java.lang.String>` `getMappingFileNames()`
`java.lang.ClassLoader` `getNewTempClassLoader()`
`javax.sql.DataSource` `getNonJtaDataSource()`
`java.lang.String` `getPersistenceProviderClassName()`
`java.lang.String` `getPersistenceUnitName()`
`java.net.URL` `getPersistenceUnitRootUrl()`
`java.lang.String` `getPersistenceXMLSchemaVersion()`
`java.util.Properties` `getProperties()`
`javax.persistence.SharedCacheMode` `getSharedCacheMode()`
`javax.persistence.spi.PersistenceUnitTransactionType` `getTransactionType()`
`javax.persistence.ValidationMode` `getValidationMode()`
`PersistenceUnitInfoImpl` `setJtaDataSource(javax.sql.DataSource jtaDataSource)`
`PersistenceUnitInfoImpl` `setNonJtaDataSource(javax.sql.DataSource nonJtaDataSource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PersistenceUnitInfoImpl

    public PersistenceUnitInfoImpl(java.lang.String persistenceUnitName,
                                   java.util.List<java.lang.Class> managedClasses,
                                   java.util.List<java.lang.String> mappingFileNames,
                                   java.util.Properties properties)

### Method Detail

#### getPersistenceUnitName

    public java.lang.String getPersistenceUnitName()

Specified by:
  `getPersistenceUnitName` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getPersistenceProviderClassName

    public java.lang.String getPersistenceProviderClassName()

Specified by:
  `getPersistenceProviderClassName` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getTransactionType

    public javax.persistence.spi.PersistenceUnitTransactionType getTransactionType()

Specified by:
  `getTransactionType` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getJtaDataSource

    public javax.sql.DataSource getJtaDataSource()

Specified by:
  `getJtaDataSource` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### setJtaDataSource

    public PersistenceUnitInfoImpl setJtaDataSource(javax.sql.DataSource jtaDataSource)

#### getNonJtaDataSource

    public javax.sql.DataSource getNonJtaDataSource()

Specified by:
  `getNonJtaDataSource` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### setNonJtaDataSource

    public PersistenceUnitInfoImpl setNonJtaDataSource(javax.sql.DataSource nonJtaDataSource)

#### getMappingFileNames

    public java.util.List<java.lang.String> getMappingFileNames()

Specified by:
  `getMappingFileNames` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getJarFileUrls

    public java.util.List<java.net.URL> getJarFileUrls()

Specified by:
  `getJarFileUrls` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getPersistenceUnitRootUrl

    public java.net.URL getPersistenceUnitRootUrl()

Specified by:
  `getPersistenceUnitRootUrl` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getManagedClassNames

    public java.util.List<java.lang.String> getManagedClassNames()

Specified by:
  `getManagedClassNames` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### excludeUnlistedClasses

    public boolean excludeUnlistedClasses()

Specified by:
  `excludeUnlistedClasses` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getSharedCacheMode

    public javax.persistence.SharedCacheMode getSharedCacheMode()

Specified by:
  `getSharedCacheMode` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getValidationMode

    public javax.persistence.ValidationMode getValidationMode()

Specified by:
  `getValidationMode` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getProperties

    public java.util.Properties getProperties()

Specified by:
  `getProperties` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getPersistenceXMLSchemaVersion

    public java.lang.String getPersistenceXMLSchemaVersion()

Specified by:
  `getPersistenceXMLSchemaVersion` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getClassLoader

    public java.lang.ClassLoader getClassLoader()

Specified by:
  `getClassLoader` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### addTransformer

    public void addTransformer(javax.persistence.spi.ClassTransformer transformer)

Specified by:
  `addTransformer` in interface `javax.persistence.spi.PersistenceUnitInfo`

#### getNewTempClassLoader

    public java.lang.ClassLoader getNewTempClassLoader()

Specified by:
  `getNewTempClassLoader` in interface `javax.persistence.spi.PersistenceUnitInfo`